#include "IPersistData.h"
#include <qsplitter.h>

class CPersistSplitterCaps : public IPersistData
{
private:
  QSplitter *m_Splitter;
public:
  CPersistSplitterCaps(QSplitter *splitter) : IPersistData()
    {
      m_Splitter=splitter;
    }

  void load(istream& s)
    {
      QValueList<int> lst;
      int i,nb;
      
      for (s >> nb;nb > 0;nb--)
      {
	s >> i;
	lst.push_back(i);
      }
      m_Splitter->setSizes(lst);
    }

  void save(ostream& s)
    {
      QValueList<int> lst = m_Splitter->sizes();

      s << lst.size() << ' ';
      for (QValueList<int>::Iterator it = lst.begin();it != lst.end();it++)
      {
	s << *it << ' ';
      }
    }

  void failed()
    {

    }
};
