/**

   \brief QT wrapper

*/// --------------------------------------------------------
#ifndef __QPERSIST__
#define __QPERSIST__
// --------------------------------------------------------
#include "CPersistFactory.h"
#include "qt/CPersistSliderCaps.h"
#include "qt/CPersistComboBoxCaps.h"
#include "qt/CPersistLineEditCaps.h"
#include "qt/CPersistSpinBoxCaps.h"
#include "qt/CPersistListBoxCaps.h"
#include "qt/CPersistSplitterCaps.h"
#include "qt/CPersistPropertiesCaps.h"
// --------------------------------------------------------
#define QPERSIST_WIDGET(t,w) (new CPersist##t##Caps((w)))
#define QPERSIST_SLIDER(w)   QPERSIST_WIDGET(Slider,w)
#define QPERSIST_COMBOBOX(w) QPERSIST_WIDGET(ComboBox,w)
#define QPERSIST_LINEEDIT(w) QPERSIST_WIDGET(LineEdit,w)
#define QPERSIST_SPINBOX(w)  QPERSIST_WIDGET(SpinBox,w)
#define QPERSIST_LISTBOX(w)  QPERSIST_WIDGET(ListBox,w)
#define QPERSIST_SPLITTER(w) QPERSIST_WIDGET(Splitter,w)
#define QPERSIST_PROPERTIES(w)     (new CPersistPropertiesCaps((w)))
#define QPERSIST_ALL_PROPERTIES(w) (new CPersistPropertiesCaps((w),true))
// --------------------------------------------------------
#endif
// --------------------------------------------------------
