#include "IPersistData.h"
#include <qspinbox.h>

class CPersistSpinBoxCaps : public IPersistData
{
private:
  QSpinBox *m_SpinBox;
public:
  CPersistSpinBoxCaps(QSpinBox *q) : IPersistData()
    {
      m_SpinBox=q;
    }

  void load(istream& s)
    {
      int v,vmin,vmax;

      s >> v >> vmin >> vmax;
      m_SpinBox->setMinValue(vmin);
      m_SpinBox->setMaxValue(vmax);
      m_SpinBox->setValue(v);      
    }

  void save(ostream& s)
    {
      s << m_SpinBox->value() << ' ' 
	<< m_SpinBox->minValue() << ' '
	<< m_SpinBox->maxValue();
    }

  void failed()
    {

    }
};
